moeoArchiveFitnessSavingUpdater(3)

NAME
moeoArchiveFitnessSavingUpdater - This class allows to save the fitnesses of solutions contained in an archive into a file at each generation.

SYNOPSIS

#include <moeoArchiveFitnessSavingUpdater.h>

Inherits eoUpdater.

  Public Member Functions
moeoArchiveFitnessSavingUpdater (moeoArchive< EOT > &_arch, const std::string &_filename='Res/Arch', int _id=-1)
Ctor.
void operator() ()
Saves the fitness of the archive's members into the file.

  Private Attributes
moeoArchive< EOT > & arch
local archive
std::string filename
target filename
int id
own ID
unsigned counter
counter

Detailed Description

  template<class EOT> class moeoArchiveFitnessSavingUpdater< EOT >
This class allows to save the fitnesses of solutions contained in an archive into a file at each generation.

Definition at line 27 of file moeoArchiveFitnessSavingUpdater.h.

Constructor & Destructor Documentation

  template<class EOT> moeoArchiveFitnessSavingUpdater< EOT >::moeoArchiveFitnessSavingUpdater (moeoArchive< EOT > & _arch, const std::string & _filename = 'Res/Arch', int _id = -1) [inline]

Ctor.

Parameters:
    _arch local archive
    _filename target filename
    _id own ID

Definition at line 37 of file moeoArchiveFitnessSavingUpdater.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.